# Method: monetization.subscriptions.get

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/get#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/get#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/get#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/get#try-it)

Reads a single subscription.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions/{productId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the subscription to get. |
| `productId` | `string` Required. The unique product ID of the subscription to get. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`